Skip to main content
DELETE
/
ai-agents
/
agent-builder
/
knowledge-base
/
text
/
{uniqueId}
Delete Text Entry
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId} \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId}"

headers = {"apikey": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Text detail and all associated data deleted successfully",
  "data": {
    "uniqueId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "fileName": "company-policy-document.md",
    "uniqueFileId": "file-uuid-123",
    "deletedFromAgents": true,
    "vectorsDeleted": true,
    "s3FileDeleted": true
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique text entry ID to delete

Response

200 - application/json

Text entry deleted successfully

success
boolean
Example:

true

message
string
Example:

"Text detail and all associated data deleted successfully"

data
object